List Public Integrations
List public integration
Query Parameters
Provide the meta.nextToken value provided in the last API response to retrieve the next page of results
Number of items to return per page (default 20, max 100)
Maximum number of results to return per page
Integration Name
Integration version. Either a semver version or tag "latest"
Filter integrations by implemented interface ID
Filter integrations by implemented interface name (strict match)
Bot ID. Required when filtering for installed integrations
Filter integrations by verification status
Value in
- "unapproved"
- "pending"
- "approved"
- "rejected"
Search integrations by name, description, actions, and interfaces. Responses include a matchedOn field indicating which fields matched the search.
Sort integrations by field
Value in
- "popularity"
- "name"
- "createdAt"
- "updatedAt"
- "installCount"
Sort direction (asc or desc)
Value in
- "asc"
- "desc"
Header Parameters
Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/admin/hub/integrations"{ "integrations": [ { "id": "stringstringstringstringstri", "name": "string", "version": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "title": "string", "description": "string", "iconUrl": "string", "public": true, "visibility": "public", "verificationStatus": "unapproved", "lifecycleStatus": "published", "ownerWorkspace": { "id": "string", "handle": "string", "name": "string" }, "meta": { "installs": 0, "views": 0 }, "matchedOn": { "name": true, "title": true, "description": true, "actions": [ "string" ], "interfaces": [ "string" ] }, "attributes": { "property1": "string", "property2": "string" } } ], "meta": { "nextToken": "string" }}{ "integrations": [ { "id": "stringstringstringstringstri", "name": "string", "version": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "title": "string", "description": "string", "iconUrl": "string", "public": true, "visibility": "public", "verificationStatus": "unapproved", "lifecycleStatus": "published", "ownerWorkspace": { "id": "string", "handle": "string", "name": "string" }, "meta": { "installs": 0, "views": 0 }, "matchedOn": { "name": true, "title": true, "description": true, "actions": [ "string" ], "interfaces": [ "string" ] }, "attributes": { "property1": "string", "property2": "string" } } ], "meta": { "nextToken": "string" }}